Subject: Re: [Idr] WG Last call for draft-ietf-idr-rpd-11.txt (7/23 to 8/6/2021)

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 30 Jul 2021 14:29:46 +0000

< fixed the subject line ... just to make sure ... in case WG members thought this was still the IPR call 😉 >

The updates to the draft do not change my position from the previous WGLC – that this is not a good idea to pursue for IDR.
https://mailarchive.ietf.org/arch/msg/idr/MmYyhpKdZIhmh8yywGNrvWYzUNo/

I do appreciate that the authors have tried to update the draft to address the several comments provided. However, they do not change the fundamental issues in my opinion.

I will try to point out some specifics and here is the diff between the previous and this WGLC for the benefit of other WG members : https://www.ietf.org/rfcdiff?url1=draft-ietf-idr-rpd-05&url2=draft-ietf-idr-rpd-12

  1.  The introduction gives the raison d'etre for this work as “complex and error prone configuration and maintenance of route policies”. Perhaps the authors have the view of network engineers going to individual routers and operating CLI and while this is true in the real world, we do now have automation systems that have been (and are being) built to not only take care of consistent provisioning network-wide but also verify their successful application. More importantly have the ability to detect issues/errors and where necessary rollback to a consistent state. IETF facilitates the same using YANG models (e.g. https://datatracker.ietf.org/doc/draft-ietf-rtgwg-policy-model/) and there are other models also out there. These aspects are (still) not covered or addressed adequately in this proposal.

  1.  The changes to introduce ordering do address some comments provided previously, but don’t address the key aspect that it is desirable for a policy to be considered as “atomic”. If one rule in the middle fails, the result can be dramatically different. This aspect/ability is not addressed from my quick reading.

  1.  I find the text introduced in https://datatracker.ietf.org/doc/html/draft-ietf-idr-rpd-12#section-5.2 to be particularly disconcerting.

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 23 July 2021 22:53
To: [email-masked]
Subject: [Idr] IPR call for draft-ietf-idr-rpd-11.txt (7/23 to 8/6/2021)

This begins a 2 week WG last call on draft-ietf-idr-rpd-11.txt.

There is one missing IPR statement from Liang Ou.
Liang should send the IPR statements in response to this WG LC.

The implementation report is at:
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-rpd%20impolementations%20

The two implementations are different implementations from Huawei.

This document describes BGP Extensions for Routing
   Policy Distribution (BGP RPD) to support this.

Please consider in your review of this draft:
1) if this draft is ready for deployment,
2) if the BGP extensions for routing policy distribution
Help deployments of BGP in the Internet.

Cheerily, Susan Hares